Nach neuestem Update startet XnViewMP nicht mehr [solved]

Hallo,

nach dem letzten Update habe ich XnViewMP wieder aus dem Aur installiert (aktuell 0.99.0) und erhalte nun folgende Meldung beim Start:

xnviewmp 
qt5ct: using qt5ct plugin
Cannot mix incompatible Qt library (5.15.1) with this library (5.15.6)
Abgebrochen (Speicherabzug geschrieben)

Alles Qt ist aktuell 5.15.2 und qt5ct 1.3. Eigentlich sollten hier keine inkompatiblen QtLibrarys installiert sein. Auch ein Downgrade auf XnViewMP 0.98.1 oder 0.98.0 ergibt wieder die gleiche Fehlermeldung.

Ich bin ratlos und bitte um Hilfe.
Vielen Dank

Das ist aus dem AUR, oder? Dann muss es neugebaut werden.

Ja, aus dem AUR und wurde natürlich neu gebaut. Ich habe auch die XnViewMP Versionen 0.98.1 und 0.98.0 gebaut… s.o.

Ich habe das gerade bei mir mal installiert und es funktioniert. hast du mal versucht dein System nochmal zu aktualisieren?

Hallo @nabashi,

nach dem letzten Update habe ich XnViewMP wieder aus dem Aur installiert

Ich auch - und habe jetzt:

XnView MP Linux
Version 0.99.0 64bits (Sep 15 2021)
Libformat version 7.94

Das Programm läuft einwandfrei. Im Menu > Info > Über > Plugins habe ich (nur)

  • openjp2.so
  • libwebp.so

Starte das Programm doch mal aus der Konsole, es ist recht “gesprächig”; vielleicht gibt das Hinweise? Woher hast Du denn Qt 5.15.1? MANJARO hat (bei Dir und bei mir) 5.15.2 und XnViewMP laut Menu > Info > Über > Changelog ab 0.99 Qt 5.15.6.

Beim installieren werden Folgende Pakete mit installiert:

qt5-sensors (5.15.2-1)
qt5-sensors (5.15.2-1)
qt5-webkit (5.212.0alpha4-10)

Hast du die denn auch in der Version?

Starten andere Qt Programme die qt5ct nutzten (zum Beispiel VLC). Ggf. liegt es an qt5ct selbst und nicht am eigentlich Programm.

Hallo,

mein System ist auf dem neuesten Stand.

Meine qt5-sensors und qt5-haben die gleiche Version.
VLC startet ohne Probleme.

Vielen Dank erst einmal an dieser Stelle für Eure prompte Hilfe.

BTW: Meine Arbeit ruft (ja, auch am Sonntag). Falls weitere Kommentare kommen, ich melde mich heute Abend.

Hallo,

heute kam die neue Version 0.99.1. Hier stimmt wieder alles.

Ich war nicht der einzige mit dem Problem. Nun, das ist erledigt…

Besten Dank nochmals für die versuchte Hilfe an alle.

bye
nabashi